boost::geometry::range::detail::copy_or_move_impl< It, OutIt, UseMove > Struct Template Reference

List of all members.

## Static Public Member Functions

static OutIt | apply (It first, It last, OutIt out)

### template<typename It, typename OutIt, bool UseMove = boost::is_convertible < typename std::iterator_traits<It>::value_type &&, typename std::iterator_traits<OutIt>::value_type >::value>
struct boost::geometry::range::detail::copy_or_move_impl< It, OutIt, UseMove >

## Member Function Documentation

template<typename It , typename OutIt , bool UseMove = boost::is_convertible < typename std::iterator_traits<It>::value_type &&, typename std::iterator_traits<OutIt>::value_type >::value>

static OutIt boost::geometry::range::detail::copy_or_move_impl< It, OutIt, UseMove >::apply | ( | It | first,
|  | It | last,
|  | OutIt | out
| ) |  | `[static]`

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK